.task-field.disabled{
    cursor:not-allowed;
    opacity: 0.5;
    position: relative;
    &:before{
        position: absolute;
        width: 100%;
        height: 100%;
        left: 0;
        top: 0;
        z-index: 999;
        background: #f1f1f1;
        border-radius: 5px;
        content: "";
        opacity: 0.5;
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        width: 100%;
    }
}

.timeline-item.completed-step .task-value-block, .timeline-item.disabled .task-value-block, .timeline-item.pending .task-value-block{
    /* opacity: 0.8; */
    pointer-events: none;
}
.timeline-item.completed-step .mark-as-complete, .timeline-item.disabled .mark-as-complete, .timeline-item.pending .mark-as-complete{
    opacity: 0.3;
    pointer-events: none;
}

.timeline-item.completed-step.current .task-value-block{
    /* opacity: 1; */
    pointer-events: auto;
}

.timeline-item.completed-step.current .mark-as-complete {
    opacity: 1;
    pointer-events: auto;
}

.timeline-item.completed-step .timeline-icon i{
    color: green; /* Adjust the icon color to indicate completion */
}

.mark-as-complete{
    position: relative;
}
.timeline-item .pulse{
    display: none;
}
.timeline-item.current .pulse{
    display: block;
}
.mark-as-complete .pulse{
    position: absolute;
    left: -10px;
    top: -10px;
}

/* only show pulse if it is current step and .mark-as-complete input is not checked */

.mark-as-complete input:checked + .pulse{
    display: none;
}

.task-value-block.yes .select2-selection__rendered{
    color: #28a745 !important;
}
.task-value-block.no .select2-selection__rendered{
    color: #dc3545 !important;
}

.task-value-block.yes .select2-selection.select2-selection--single{
    border-color: #28a745 !important;
}
.task-value-block.no .select2-selection.select2-selection--single{
    border-color: #dc3545 !important;
}

.timeline-item.current .task-content-box{
    border-color: #1B84FF !important;
    border-style: solid !important;
    background: #F4F9FF !important;
}

.timeline-item.completed-step .task-content-box{
    border-color: var(--bs-success-active) !important;
    background: #EAF9EF !important;
    border-style: solid !important;
}

.timeline-item.disabled{
    opacity: 0.3;
}

.timeline-item.disabled .task-content-box{
    border-color: #f1f1f1 !important;
    /* add red shadow */
    box-shadow: inset 0 0 10px #f1f1f1;
    background: #f1f1f1;
}

.quick-navigation-button{
    position: fixed;
    bottom: 110px;
    right: 17px;
    z-index: 9999;
}

.records-action-box{
    position: fixed;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    z-index: 9999;
}

#adviser_notes{
    display: none;
}

.card .card-header.card-header-sm{
    min-height: 50px;
}

.card .card-header.card-header-extra-sm{
    min-height: 42px;
}

.analysis_sections .analysis_section{
    position: relative;
    padding: 20px 15px 15px;
    border: 1px solid #f1f1f1;
    border-radius: 10px;
}

.analysis_sections .analysis_section:before{
    /* show data-title in content */
    content: attr(data-title);
    position: absolute;
    left: 15px;
    top: -12px;
    background: white;
    font-size: 14px;
    color: #1B84FF;
    font-weight: 500;
}

.analysis_sections .analysis_section .analysis_fields{
    position: relative;
}

.analysis_sections .analysis_section .analysis_fields .form-label{
    position: absolute;
    left: 0;
    top: 15px;
    width: 140px;
}

.analysis_sections .analysis_section .analysis_fields .row{
    padding-left: 150px;
}

.select2-free-text, .select2-custom-handler{
    position: absolute;
    /* right: 35px; */
    right: 58px;
    top: 34px;
    width: auto;
}

.form-floating .select2-free-text, .form-floating .select2-custom-handler{
    top: 11px;
}

.form-floating.has-value .select2-free-text, .form-floating.has-value .select2-custom-handler{
    right: 58px;
}

.select2-free-text.active, .select2-custom-handler.active{
    display: block;
    width: calc(100% - 50px);
}

.select2-free-text .form-control{
    display: none;
}

.select2-free-text.active .form-control{
    display: block;
}

.select2-free-text button, .select2-custom-handler button{
    position: absolute;
    right: 0;
    top: 0;
    z-index: 2;
}

.select2-free-text:hover button, .select2-custom-handler:hover button{
    background: #f1f1f1;
}

.icon-done{
    margin: 1px 0 0 5px;
}

.counter-container {
    counter-reset: item-counter;
}

/* Increment the counter for each item */
.counter-container .counter-item {
    counter-increment: item-counter;
}

/* Display the counter in the counter-display span */
.counter-container .counter-display{
    padding-left: 5px;
}

.counter-container .counter-display::before {
    content: " - " counter(item-counter);
}

.form-floating .form-select-sm{
    padding-left: 1rem;
}

.outline-focus{
    /* outline: 2px solid #F8285A;
    outline-offset: 2px; */
    border-radius: 10px;
    box-shadow: 0 0 3px 2px #F8285A !important;
    transition: .1s;
}

.outline-focus.outline-focus-sm{
    border-radius: 5px;
}

.tooltip-text-left{
    text-align: left !important;
}

:root {
    --provider-offer-block-color-standard: forestgreen; /* A deeper green to differentiate from teal */
    --provider-offer-block-color-no: crimson; /* A more intense red */
    --provider-offer-block-color-non-standard: rgb(181, 154, 0); /* A brighter yellow-gold to distinguish from darkorange */
    --provider-offer-block-color-accident-only: rgb(45, 144, 220);
    --provider-offer-block-color-two-year-benefit: orange;
    --provider-offer-block-color-five-year-benefit: indigo; /* A deep indigo to stand out from teal */
}
/* Standard */
.provider-offer-block.standard .select2-container .select2-selection--single {
    border-color: var(--provider-offer-block-color-standard) !important;
}

.provider-offer-block.standard .select2-container .select2-selection--single .select2-selection__rendered {
    color: var(--provider-offer-block-color-standard);
}

/* No */
.provider-offer-block.no .select2-container .select2-selection--single {
    border-color: var(--provider-offer-block-color-no) !important;
}

.provider-offer-block.no .select2-container .select2-selection--single .select2-selection__rendered {
    color: var(--provider-offer-block-color-no);
}

/* Non Standard */
.provider-offer-block.non-standard .select2-container .select2-selection--single {
    border-color: var(--provider-offer-block-color-non-standard) !important;
}

.provider-offer-block.non-standard .select2-container .select2-selection--single .select2-selection__rendered {
    color: var(--provider-offer-block-color-non-standard);
}

/* Accident Only */
.provider-offer-block.accident-only .select2-container .select2-selection--single {
    border-color: var(--provider-offer-block-color-accident-only) !important;
}

.provider-offer-block.accident-only .select2-container .select2-selection--single .select2-selection__rendered {
    color: var(--provider-offer-block-color-accident-only);
}

/* 2 Year benefit */
.provider-offer-block.two-year-benefit .select2-container .select2-selection--single {
    border-color: var(--provider-offer-block-color-two-year-benefit) !important;
}

.provider-offer-block.two-year-benefit .select2-container .select2-selection--single .select2-selection__rendered {
    color: var(--provider-offer-block-color-two-year-benefit);
}

/* 5 Year benefit */
.provider-offer-block.five-year-benefit .select2-container .select2-selection--single {
    border-color: var(--provider-offer-block-color-five-year-benefit) !important;
}

.provider-offer-block.five-year-benefit .select2-container .select2-selection--single .select2-selection__rendered {
    color: var(--provider-offer-block-color-five-year-benefit);
}


:root {
    --color-strategy-bg: #FFCCCB; /* Light Coral */
    --color-strategy-text: #A52A2A; /* Brown */

    --color-analysis-bg: #ADD8E6; /* Light Blue */
    --color-analysis-text: #00008B; /* Dark Blue */

    --color-providers-offers-bg: #E6E6FA; /* Lavender */
    --color-providers-offers-text: #4B0082; /* Indigo */

    --color-comparisons-bg: #90EE90; /* Light Green */
    --color-comparisons-text: #006400; /* Dark Green */

    --color-benefits-lost-bg: #FFDAB9; /* Peach Puff */
    --color-benefits-lost-text: #CD853F; /* Peru */

    --color-providers-recommendations-bg: #D8BFD8; /* Thistle */
    --color-providers-recommendations-text: #8B008B; /* Dark Magenta */

    --color-funding-structure-bg: #FAFAD2; /* Light Goldenrod Yellow */
    --color-funding-structure-text: #B8860B; /* Dark Goldenrod */

    --color-high-risk-bg: #E0FFFF; /* Light Cyan */
    --color-high-risk-text: #008B8B; /* Dark Cyan */
}

/* Strategy Section */
.protection-step-strategy > .card-header {
    background-color: var(--color-strategy-bg) !important;
}

.protection-step-strategy > .card-header .card-title,
.protection-step-strategy > .card-header .card-toolbar i {
    color: var(--color-strategy-text) !important;
}

/* Analysis Section */
.protection-step-analysis > .card-header {
    background-color: var(--color-analysis-bg) !important;
}

.protection-step-analysis > .card-header .card-title,
.protection-step-analysis > .card-header .card-toolbar i {
    color: var(--color-analysis-text) !important;
}

/* Providers Offers Section */
.protection-step-providers-offers > .card-header {
    background-color: var(--color-providers-offers-bg) !important;
}

.protection-step-providers-offers > .card-header .card-title,
.protection-step-providers-offers > .card-header .card-toolbar i {
    color: var(--color-providers-offers-text) !important;
}

/* Comparisons Section */
.protection-step-comparisons > .card-header {
    background-color: var(--color-comparisons-bg) !important;
}

.protection-step-comparisons > .card-header .card-title,
.protection-step-comparisons > .card-header .card-toolbar i {
    color: var(--color-comparisons-text) !important;
}

/* Benefits Lost Section */
.protection-step-benefits-lost > .card-header {
    background-color: var(--color-benefits-lost-bg) !important;
}

.protection-step-benefits-lost > .card-header .card-title,
.protection-step-benefits-lost > .card-header .card-toolbar i {
    color: var(--color-benefits-lost-text) !important;
}

/* Providers Recommendations Section */
.protection-step-providers-recommendations > .card-header {
    background-color: var(--color-providers-recommendations-bg) !important;
}

.protection-step-providers-recommendations > .card-header .card-title,
.protection-step-providers-recommendations > .card-header .card-toolbar i {
    color: var(--color-providers-recommendations-text) !important;
}

/* Funding Structure Section */
.protection-step-funding-structure > .card-header {
    background-color: var(--color-funding-structure-bg) !important;
}

.protection-step-funding-structure > .card-header .card-title,
.protection-step-funding-structure > .card-header .card-toolbar i {
    color: var(--color-funding-structure-text) !important;
}

/* High Risk Section */
.protection-step-high-risk > .card-header {
    background-color: var(--color-high-risk-bg) !important;
}

.protection-step-high-risk > .card-header .card-title,
.protection-step-high-risk > .card-header .card-toolbar i {
    color: var(--color-high-risk-text) !important;
}

.protection-step-main .card-header, .upload-statement-card .card-header{
    transition: border-radius 1s;
}

.protection-step-main .collapsed.card-header:first-child{
    border-radius: var(--bs-card-inner-border-radius);
}

.upload-statement-card .collapsed.card-header:first-child{
    border-radius: var(--bs-card-inner-border-radius);
}



/* style for readonly input */
input[readonly], input[readonly]:focus, input[readonly]:hover, input[readonly]:active {
    background-color: #f7f7f7;
    cursor: not-allowed;
}

input[disabled]{
    cursor: not-allowed;
}

input[readonly] + label::after{
    background-color: #f7f7f7 !important;
}

.custom-d-hide{
    display: none !important;
}

.custom-d-block{
    display: block !important;
}

:root {
    --color-1: #ffe0e0; /* Pastel Pink */
    --color-2: #f0e6ff; /* Light Lavender */
    --color-3: #e0ffe4; /* Mint Green */
    --color-4: #ffe8d6; /* Light Peach */
    --color-5: #e0f7ff; /* Sky Blue */
    --color-6: #fff9cc; /* Soft Lemon */
    --color-7: #d6e4ff; /* Powder Blue */

    --text-color-1: #5c0000; /* Dark Maroon */
    --text-color-2: #3e2277; /* Deep Lavender */
    --text-color-3: #004d26; /* Forest Green */
    --text-color-4: #7a2900; /* Burnt Orange */
    --text-color-5: #004a75; /* Navy Blue */
    --text-color-6: #7a6c00; /* Dark Gold */
    --text-color-7: #243f7d; /* Royal Blue */
}

#replaced_covers_wrap > .card:nth-child(1) .card-header,
#replaced_covers_wrap > .card:nth-child(1) .card .card-header {
    background-color: var(--color-1);
}

#replaced_covers_wrap > .card:nth-child(1) .card-header .card-title,
#replaced_covers_wrap > .card:nth-child(1) .card .card-header .card-title, #replaced_covers_wrap > .card:nth-child(1) .card .card-header i{
    color: var(--text-color-1);
}

#replaced_covers_wrap > .card:nth-child(2) .card-header,
#replaced_covers_wrap > .card:nth-child(2) .card .card-header {
    background-color: var(--color-2);
}

#replaced_covers_wrap > .card:nth-child(2) .card-header .card-title,
#replaced_covers_wrap > .card:nth-child(2) .card .card-header .card-title, #replaced_covers_wrap > .card:nth-child(2) .card .card-header i{
    color: var(--text-color-2);
}

#replaced_covers_wrap > .card:nth-child(3) .card-header,
#replaced_covers_wrap > .card:nth-child(3) .card .card-header {
    background-color: var(--color-3);
}

#replaced_covers_wrap > .card:nth-child(3) .card-header .card-title,
#replaced_covers_wrap > .card:nth-child(3) .card .card-header .card-title, #replaced_covers_wrap > .card:nth-child(3) .card .card-header i{
    color: var(--text-color-3);
}

#replaced_covers_wrap > .card:nth-child(4) .card-header,
#replaced_covers_wrap > .card:nth-child(4) .card .card-header {
    background-color: var(--color-4);
}

#replaced_covers_wrap > .card:nth-child(4) .card-header .card-title,
#replaced_covers_wrap > .card:nth-child(4) .card .card-header .card-title, #replaced_covers_wrap > .card:nth-child(4) .card .card-header i{
    color: var(--text-color-4);
}

#replaced_covers_wrap > .card:nth-child(5) .card-header,
#replaced_covers_wrap > .card:nth-child(5) .card .card-header {
    background-color: var(--color-5);
}

#replaced_covers_wrap > .card:nth-child(5) .card-header .card-title,
#replaced_covers_wrap > .card:nth-child(5) .card .card-header .card-title, #replaced_covers_wrap > .card:nth-child(5) .card .card-header i{
    color: var(--text-color-5);
}

#replaced_covers_wrap > .card:nth-child(6) .card-header,
#replaced_covers_wrap > .card:nth-child(6) .card .card-header {
    background-color: var(--color-6);
}

#replaced_covers_wrap > .card:nth-child(6) .card-header .card-title,
#replaced_covers_wrap > .card:nth-child(6) .card .card-header .card-title, #replaced_covers_wrap > .card:nth-child(6) .card .card-header i{
    color: var(--text-color-6);
}

#replaced_covers_wrap > .card:nth-child(7) .card-header,
#replaced_covers_wrap > .card:nth-child(7) .card .card-header {
    background-color: var(--color-7);
}

#replaced_covers_wrap > .card:nth-child(7) .card-header .card-title,
#replaced_covers_wrap > .card:nth-child(7) .card .card-header .card-title, #replaced_covers_wrap > .card:nth-child(7) .card .card-header i{
    color: var(--text-color-7);
}

.btn-extra-sm{
    height: calc(1em + 1rem + 2px) !important;
    width: calc(1em + 1rem + 2px) !important;
}

/* excel colors
Dark
Hex: #217346
RGB: (33, 115, 70)

Bright
Hex: #00B050
RGB: (0, 176, 80)

Light
#93C47D
*/
.text-excel{
    color: #00B050 !important;
}

.bg-light-excel{
    background-color: #93C47D !important;
}

.excel-header-bg{
    background: linear-gradient(to bottom, #ffffff, #f3f3f3);
}

.table-header-bg-light{
    background: #f9f9f9 !important;
}

:root {
    --color-investment-upfront: #8B4513; /* SaddleBrown */
    --bg-investment-upfront: #8B4513; /* SaddleBrown */
    --bg-light-investment-upfront: #EED5B7; /* Lighter Tan */

    --color-investment-ongoing: #4682B4; /* CornflowerBlue */
    --bg-investment-ongoing: #4682B4; /* CornflowerBlue */
    --bg-light-investment-ongoing: #D1ECF1; /* Lighter PowderBlue */

    --color-protection-upfront: #556B2F; /* DarkOliveGreen */
    --bg-protection-upfront: #556B2F; /* DarkOliveGreen */
    --bg-light-protection-upfront: #CDEECD; /* Lighter DarkSeaGreen */

    --color-protection-ongoing: #8B008B; /* DarkMagenta */
    --bg-protection-ongoing: #8B008B; /* DarkMagenta */
    --bg-light-protection-ongoing: #F0B8E7; /* Lighter Orchid */
  }
.text-investment-upfront {
    color: var(--color-investment-upfront) !important;
}

.text-investment-ongoing {
    color: var(--color-investment-ongoing) !important;
}

.text-protection-upfront {
    color: var(--color-protection-upfront) !important;
}

.text-protection-ongoing {
    color: var(--color-protection-ongoing) !important;
}

/* Background color classes */
.bg-investment-upfront {
    background-color: var(--bg-investment-upfront) !important;
}

.bg-investment-ongoing {
    background-color: var(--bg-investment-ongoing) !important;
}

.bg-protection-upfront {
    background-color: var(--bg-protection-upfront) !important;
}

.bg-protection-ongoing {
    background-color: var(--bg-protection-ongoing) !important;
}

/* Light background color classes */
.bg-light-investment-upfront {
    background-color: var(--bg-light-investment-upfront) !important;
}

.bg-light-investment-ongoing {
    background-color: var(--bg-light-investment-ongoing) !important;
}

.bg-light-protection-upfront {
    background-color: var(--bg-light-protection-upfront) !important;
}

.bg-light-protection-ongoing {
    background-color: var(--bg-light-protection-ongoing) !important;
}

input.flatpickr-input[readonly] {
    cursor: pointer;
    background: white;
}

/* get data attribute file and show */

.show_file_name{
    position: relative;
    padding-bottom: 20px;
}

.show_file_name td {
    padding-bottom: 25px !important;
}

.show_file_name:after{
    content: attr(data-file);
    position: absolute;
    left: 0;
    bottom: 0;
    font-size: 12px;
    color: #00B050;
}

table tr.invalid-transaction-type{
    position: relative;
}

table tr.invalid-transaction-type::after{
    content: 'Something went wrong while matching transaction type, Please check filters for Trasnaction Type.';
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    color: white;
    background: red;
    z-index: 22;
    padding-left: 45px;
}

.dropzone .dz-remove{
    display: none !important;
}